Bug 475296 - Yumex doesn't start
Yumex doesn't start
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
Yumex doesn't start
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-08 15:15 EST by antonio montagnani
Modified: 2008-12-10 01:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-10 01:03:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description antonio montagnani 2008-12-08 15:15:56 EST
Description of problem:
After recent updated Yumex doesn't start any more

Version-Release number of selected component (if applicable):
yumex-2.0.5-4.fc11.noarch

How reproducible:

always
Steps to Reproduce:
1.start Yumex
2.
3.
  
Actual results:
no start up but in a terminal I get:

yumex
/usr/lib/python2.6/site-packages/yum/pgpmsg.py:16: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import struct, time, cStringIO, base64, types, md5, sha
/usr/lib/python2.6/site-packages/yum/pgpmsg.py:16: DeprecationWarning: the sha module is deprecated; use the hashlib module instead
  import struct, time, cStringIO, base64, types, md5, sha
Traceback (most recent call last):
  File "/usr/share/yumex/yumex.py", line 42, in <module>
    from yumapi import YumexYumHandler
  File "/usr/share/yumex/yumapi.py", line 446
    self.repos.populateSack(with='filelists')      
                               ^
SyntaxError: invalid syntax


Expected results:
smooth run

Additional info:
Comment 1 Tim Lauridsen 2008-12-09 08:12:50 EST
Struck by python 2.6 :)

i have just pushed a new build of yumex, (2.0.5-5) there should fix this issue

http://koji.fedoraproject.org/koji/buildinfo?buildID=74016

Should be available in next rawhide compose.
Comment 2 antonio montagnani 2008-12-09 13:04:36 EST
Tim

tnx a lot: It works fine.
It can be closed

Note You need to log in before you can comment on or make changes to this bug.